.ng-valid[required], .ng-valid.required  {
    border-left: 5px solid #42A948; /* green */
}
.ng-touched .ng-invalid:not(form)  {
    border-left: 5px solid #a94442; /* red */
}
input.form-control.ng-untouched.ng-invalid  {
    border-left: 5px solid #CCCCCC; /* red */
}